#include <iostream>
#include <cmath>
#include <algorithm>
#include <string>
using namespace std;

int main()
{
    long long int n,i = 1,rezultat = 0;
    cin >> n;
    long long int nizJelo[n],nizRecept[n],nizScenario[n];
    while(i <= n){
        cin >> nizJelo[i];
        i++;
    }
    i = 1;
    while(i <= n){
        cin >> nizRecept[i];
        i++;
    }
    i = 1;
    while(i <= n){
        cin >> nizScenario[i];
        i++;
    }
    for(i = 1; i <= n; i++){
        for(long long int j = 1; j <= n; j++){
        if(nizJelo[i] == nizRecept[j]){
            for(long long int z = 1; z <= n; z++){
                if(j == nizScenario[z]){
                    rezultat++;
                }
            }
        }
    }
    }
    cout << rezultat << endl;
    return 0;
}